Subject: Re: [PATCH] build-system: Add mix-build-system.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 08 Dec 2023 15:55:28 +0100

Am Freitag, dem 08.12.2023 um 15:20 +0100 schrieb Pierre-Henry
Fröhring:
>       For the record, I get these hashes on current master:
> 
>       grafting '/gnu/store/dapdrihxaxfxfcky51sr4607a79msgp6-elixir-
> hex-2.0.5'
>             -> '/gnu/store/blg85m7a4jd9cdyc6q9m96lnxf9d97h0-elixir-
> hex-2.0.5'
> 
> I do not know exactly how to hash is computed.  The previous build of
> elixir-hex has been done after rebasing the commits on top of the
> commit `06f25a9a8' of master.  For  the record:
> ┌────
> │ git show --oneline -s
> └────
> 
> ┌────
> │ 0fcd231da (HEAD -> master) gnu: Add elixir-machete.
> └────
> 
> ┌────
> │ ./pre-inst-env guix build --check elixir-hex
> └────
> 
> ┌────
> │ The following graft will be made:
> │    /gnu/store/1732zx2s5afv1da5vhik0gr923frvg35-elixir-hex-2.0.5.drv
> │ applying 1 graft for elixir-hex-2.0.5 ...
> │ grafting '/gnu/store/dapdrihxaxfxfcky51sr4607a79msgp6-elixir-hex-
> 2.0.5' -> '/gnu/store/hak603f9adwad1vrlqkqn6ywgissfb13-elixir-hex-
> 2.0.5'...
> │ successfully built /gnu/store/1732zx2s5afv1da5vhik0gr923frvg35-
> elixir-hex-2.0.5.drv
> │ successfully built /gnu/store/1732zx2s5afv1da5vhik0gr923frvg35-
> elixir-hex-2.0.5.drv
> │ /gnu/store/hak603f9adwad1vrlqkqn6ywgissfb13-elixir-hex-2.0.5
> └────
I don't get the same hashes, but at least locally, --check succeeds.

> Well, what I assumed the "reroll-count" was was wrong.  You mean the
> `v<n>' in `[PATCH v<n>]' in the subject of the patches? In my next
> email, I will send the same patches except that I will use the `--
> reroll-count=3' option to build them.
Yep, that's what I meant.  Feel free to also send 04..15.

Cheers